# Cinder

# cinder::audio::LoaderSourceFileWindowsMedia Class Reference

`#include <SourceFileWindowsMedia.h>`

Inherits cinder::audio::Loader.

List of all members.

## Public Member Functions
| ~LoaderSourceFileWindowsMedia ()
uint32_t | getOptimalBufferSize () const
void | loadData (uint32_t *ioSampleCount, BufferList *ioData)
uint64_t | getSampleOffset () const
void | setSampleOffset (uint64_t anOffset)
## Static Public Member Functions
static LoaderSourceFileWindowsMediaRef | createRef (SourceFileWindowsMedia *source, Target *target)
## Protected Member Functions
| LoaderSourceFileWindowsMedia (SourceFileWindowsMedia *source, Target *target)
uint64_t | timeAtSample (uint64_t aSample) const
uint64_t | sampleAtTime (uint64_t aTime) const
## Static Protected Member Functions
static void | fillBufferListFromCaBufferList (BufferList *aBufferList, const AudioBufferList *caBufferList)
static shared_ptr < AudioBufferList > | createCaBufferList (const BufferList *caBufferList)
## Protected Attributes
SourceFileWindowsMedia * | mSource
WAVEFORMATEX | mOutputFormat
uint32_t | mStreamSize
IWMSyncReader * | mReader
IWMHeaderInfo * | mHeaderInfo
uint32_t | mMaxBufferSize
uint64_t | mSampleOffset
uint32_t | mSrcBlockAlign
uint32_t | mSrcSampleRate
uint16_t | mSrcChannelCount
uint32_t | mSrcBitsPerSample

## Constructor & Destructor Documentation

cinder::audio::LoaderSourceFileWindowsMedia::~LoaderSourceFileWindowsMedia | ( |  | ) |

cinder::audio::LoaderSourceFileWindowsMedia::LoaderSourceFileWindowsMedia | ( | SourceFileWindowsMedia * | source,
|  | Target * | target |
| ) |  |  | `[protected]`

## Member Function Documentation

LoaderSourceFileWindowsMediaRef cinder::audio::LoaderSourceFileWindowsMedia::createRef | ( | SourceFileWindowsMedia * | source,
|  | Target * | target |
| ) |  |  | `[static]`

uint32_t cinder::audio::LoaderSourceFileWindowsMedia::getOptimalBufferSize | ( |  | ) | const`[virtual]`

Reimplemented from cinder::audio::Loader.

void cinder::audio::LoaderSourceFileWindowsMedia::loadData | ( | uint32_t * | ioSampleCount,
|  | BufferList * | ioData |
| ) |  |  | `[virtual]`

Implements cinder::audio::Loader.

uint64_t cinder::audio::LoaderSourceFileWindowsMedia::getSampleOffset | ( |  | ) | const`[virtual]`

Implements cinder::audio::Loader.

void cinder::audio::LoaderSourceFileWindowsMedia::setSampleOffset | ( | uint64_t | anOffset | ) | `[virtual]`

Implements cinder::audio::Loader.

uint64_t cinder::audio::LoaderSourceFileWindowsMedia::timeAtSample | ( | uint64_t | aSample | ) | const`[protected]`

uint64_t cinder::audio::LoaderSourceFileWindowsMedia::sampleAtTime | ( | uint64_t | aTime | ) | const`[protected]`

void cinder::audio::Loader::fillBufferListFromCaBufferList | ( | BufferList * | aBufferList,
|  | const AudioBufferList * | caBufferList |
| ) |  |  | `[static, protected, inherited]`

shared_ptr< AudioBufferList > cinder::audio::Loader::createCaBufferList | ( | const BufferList * | caBufferList | ) | `[static, protected, inherited]`

## Member Data Documentation

SourceFileWindowsMedia* cinder::audio::LoaderSourceFileWindowsMedia::mSource`[protected]`

WAVEFORMATEX cinder::audio::LoaderSourceFileWindowsMedia::mOutputFormat`[protected]`

uint32_t cinder::audio::LoaderSourceFileWindowsMedia::mStreamSize`[protected]`

IWMSyncReader* cinder::audio::LoaderSourceFileWindowsMedia::mReader`[protected]`

IWMHeaderInfo* cinder::audio::LoaderSourceFileWindowsMedia::mHeaderInfo`[protected]`

uint32_t cinder::audio::LoaderSourceFileWindowsMedia::mMaxBufferSize`[protected]`

uint64_t cinder::audio::LoaderSourceFileWindowsMedia::mSampleOffset`[protected]`

uint32_t cinder::audio::LoaderSourceFileWindowsMedia::mSrcBlockAlign`[protected]`

uint32_t cinder::audio::LoaderSourceFileWindowsMedia::mSrcSampleRate`[protected]`

uint16_t cinder::audio::LoaderSourceFileWindowsMedia::mSrcChannelCount`[protected]`

uint32_t cinder::audio::LoaderSourceFileWindowsMedia::mSrcBitsPerSample`[protected]`

The documentation for this class was generated from the following files:

- include/cinder/audio/SourceFileWindowsMedia.h
- src/cinder/audio/SourceFileWindowsMedia.cpp